﻿using System;
using System.Windows;
using System.Windows.Media.Imaging;

using DevExpress.Xpf.Bars;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            BitmapImage italicBitmapImage      = new BitmapImage(new Uri("pack://application:,,/Image/italic16x16.png"));
            BitmapImage italicLargeBitmapImage = new BitmapImage(new Uri("pack://application:,,/Image/italic32x32.png"));

            BarCheckItem italicBarCheckItem = new BarCheckItem()
            {
                Content    = "Italic",
                Glyph      = italicBitmapImage,
                LargeGlyph = italicLargeBitmapImage,
                GlyphSize  = GlyphSize.Small
            };

            italicBarCheckItem.CheckedChanged += new ItemClickEventHandler(italicBarCheckItem_CheckedChanged);

            this.barManager.Items.Add(italicBarCheckItem);

            this.barManager.Bars["formatBar"].ItemLinks.Add(italicBarCheckItem.CreateLink());

            BarManagerCategory barManagerCategory = new BarManagerCategory() { Name = "My category" };

            this.barManager.Categories.Add(barManagerCategory);

            italicBarCheckItem.Category = barManagerCategory;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Bold Bar 체크 항목 체크 변경시 처리하기 - boldBarCheckItem_CheckChanged(sender, e)

        /// <summary>
        /// Bold Bar 체크 항목 체크 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void boldBarCheckItem_CheckChanged(object sender, ItemClickEventArgs e)
        {
        }

        #endregion
        #region Italic Bar 체크 항목 체크 변경시 처리하기 - italicBarCheckItem_CheckedChanged(sender, e)

        /// <summary>
        /// Italic Bar 체크 항목 체크 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void italicBarCheckItem_CheckedChanged(object sender, ItemClickEventArgs e)
        {
        }

        #endregion
    }
}